<div class="container">
  <div class="container">
      <h2>
          <span>Form Input Tanda Terima Surat Masuk</span>
      </h2>
      <jhi-alert></jhi-alert>
      <div class="ui-g-12" style="background-color: white">
          <div class="ui-g-12" style="margin-top: 50px;">
              <div class="ui-g-12">
                  <div class="ui-g-2">
                      <label for="nott">No. Tanda Terima</label>
                  </div>
                  <div class="ui-g-10">
                      <input type="text" [(ngModel)]="nott" class="form-control" readonly>
                  </div>
              </div>
              <div class="ui-g-12">
                  <div class="ui-g-2">
                      <label for="nott">Tanggal</label>
                  </div>
                  <div class="ui-g-10">
                      <p-calendar inputId="dtreceipt" name="input_dtreceipt" [(ngModel)]="ttdtreceipt"
                          dateFormat="dd-MM-yy" [monthNavigator]="true" [yearNavigator]="true" yearRange="2000:2999"
                          appendTo="body" autocomplete="false"></p-calendar>
                  </div>
              </div>
              <div class="ui-g-12">
                <div class="ui-g-2">
                  <label for="nott">Pengirim</label>
                </div>
                <div class="ui-g-10">
                  <p-autoComplete [(ngModel)]="newSuplier" [suggestions]="filteredSuppliers"
                  (completeMethod)="filterSupplierSingle($event)" [size]="95" name="suplier"
                  [minLength]="1" field="cust_name" placeholder="Cari Nama Agen / Distributor"
                  (onSelect)="selectSupplier(true)" [dropdown]="true" (keyup)="onKeyUp($event)"></p-autoComplete>

                  
                  <input style="margin-top: 10px;" type="text" [(ngModel)]="tandaTerima.sender" name="sender" class="form-control">

                </div>
              </div>
              <div class="ui-g-12" hidden>
                  <div class="ui-g-2">
                      <label for="nott">Pengirim</label>
                  </div>
                  <div class="ui-g-10">
                      <input type="text" [(ngModel)]="tandaTerima.sender" class="form-control" required >
                  </div>
              </div>
              <div class="ui-g-12">
                  <div class="ui-g-2">
                      <label for="nott">Penerima</label>
                  </div>
                  <div class="ui-g-10">
                      <input type="text" [(ngModel)]="tandaTerima.receiver" class="form-control" required >
                  </div>
              </div>
              <div class="ui-g-12">
                  <div class="ui-g-2">
                      <label for="nott">Jenis Dokument</label>
                  </div>
                  <div class="ui-g-10">
                      <input type="text" [(ngModel)]="tandaTerima.doctype" class="form-control" required >
                  </div>
              </div>
              <div class="ui-g-12">
                  <div class="ui-g-2">
                      <label for="nott">Catatan</label>
                  </div>
                  <div class="ui-g-10">
                      <input type="text" [(ngModel)]="tandaTerima.notes" class="form-control" >
                  </div>
              </div>
              <div class="ui-g-12" style="margin-bottom: 100px;">
                  <div class="btn-group flex-btn-group-container">
                      <button pButton type="submit" label="Simpan" icon="fa-save" [hidden]="isview === true"
                          class="ui-button-primary flat-label-button" (click)="savett()">
                      </button>
                      <button pButton label="Kembali" class="ui-button-primary flat-label-button"
                          (click)="backMainPage()">
                      </button>
                  </div>
              </div>
              <br><br><br><br><br><br><br><br><br><br><br><br><br><br>
          </div>
      </div>
  </div>
</div>
<div style="margin-top: 50px;"></div>
<p-confirmDialog></p-confirmDialog>